package es.fantasiayrealidad.fantasiayrealidad;

import android.content.Context;
import android.text.Html;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class AdaptadorPoemas extends BaseAdapter {

    private LayoutInflater inflador;

    public TextView titulo;

    public TextView comienzo;

    public ImageView thumbnail;

    public AdaptadorPoemas(Context contexto) {
        inflador = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    @Override
    public int getCount() {
        return ListaPoemas.getSize();
    }

    @Override
    public Object getItem(int position) {
        return ListaPoemas.getPoema(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {

        Poema poema = ListaPoemas.getPoema(position);

        if (convertView == null) {
            convertView = inflador.inflate(R.layout.elemento_lista_poemas, null);
        }

        titulo = (TextView) convertView.findViewById(R.id.titulo);
        comienzo = (TextView) convertView.findViewById(R.id.comienzo);
        thumbnail = (ImageView) convertView.findViewById(R.id.thumbnail);

        titulo.setText(poema.getTitulo());
        comienzo.setText(Html.fromHtml(poema.getContenido()));

        thumbnail.setImageResource(poema.getThumbnail());
        thumbnail.setScaleType(ImageView.ScaleType.CENTER_CROP);

        return convertView;
    }
}
