package es.fantasiayrealidad.fantasiayrealidad;

import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.text.Html;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

public class VistaPoema extends AppCompatActivity {

    private Poema poema;

    private MediaPlayer mediaPlayer;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.vista_poema);

        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        Bundle extras = getIntent().getExtras();
        int position = extras.getInt("position");

        poema = ListaPoemas.getPoema(position);

        TextView titulo_poema = (TextView) findViewById(R.id.titulo_poema);
        titulo_poema.setText(poema.getTitulo());

        TextView texto_poema = (TextView) findViewById(R.id.texto_poema);
        texto_poema.setText(Html.fromHtml(poema.getContenido()));

        ImageView dibujo_poema = (ImageView) findViewById(R.id.dibujo_poema);
        dibujo_poema.setImageResource(poema.getDibujo());
        dibujo_poema.setScaleType(ImageView.ScaleType.CENTER_INSIDE);

        mediaPlayer = MediaPlayer.create(this, poema.getAudio());

    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        boolean result = super.onOptionsItemSelected(item);
        Intent intent = FYRActivityUtils.getIntent(item.getItemId(), this);
        if (intent != null) {
            startActivity(intent);
            result = true;
        }
        return result;
    }

    public void reproducir(View view) {
        if (mediaPlayer.isPlaying()) {
            mediaPlayer.pause();
        } else {
            mediaPlayer.start();
        }
    }

}
